Bug 439409 - MySQL error when running rake db:migrate from a generated scaffold
MySQL error when running rake db:migrate from a generated scaffold
Product: Fedora
Classification: Fedora
Component: rubygem-rails (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-28 11:53 EDT by Tyler Lane
Modified: 2013-04-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:58:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tyler Lane 2008-03-28 11:53:19 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. rails -d mysql foo
2. cd foo
3. vim config/database.yml ( change for your mysql server settings ) using mysql
that came with FC9 Beta - 5.0.51a.1.fc9
4. ruby script/generate scaffold Foo id:integer name:string   - to generate the
scaffold for the rails app
5. rake db:create ( to create the mysql database )
6. rake db:migrate ( to create the table we just generated the scaffold for )
Actual results:
[tlane@xavier foo]$ rake db:migrate
(in /home/tlane/foo)
== 1 CreateFoos: migrating ====================================================
-- create_table(:foos)
rake aborted!
Mysql::Error: You have an error in your SQL syntax; check the manual that
corresponds to your MySQL server version for the right syntax to use near '(11),
`name` varchar(255) DEFAULT NULL, `created_at` datetime DEFAULT NULL, `upd' at
line 1: CREATE TABLE `foos` (`id` int(11) DEFAULT NULL auto_increment PRIMARY
KEY(11), `name` varchar(255) DEFAULT NULL, `created_at` datetime DEFAULT NULL,
`updated_at` datetime DEFAULT NULL) ENGINE=InnoDB

Expected results:
rails should have created the table.

Additional info:
Problem appears to be related to the way it is defining the PRIMARY KEY for the
table definition.  PRIMARY KEY does not need a (11) after it and that is what is
generating a sql error.
Comment 1 David Lutterkort 2008-04-07 12:44:40 EDT
Have you raised this issue upstream ?
Comment 2 Tyler Lane 2008-04-07 17:36:07 EDT
(In reply to comment #1)
> Have you raised this issue upstream ?

No I have not. I can attempt to do that if need be. I do know that this
behaviour wasn't happening on Fedora 8, which i believe had the same rails version

Comment 3 Bug Zapper 2008-05-14 04:22:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Bug Zapper 2009-06-09 19:54:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-07-14 11:58:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.